%{?scl:%scl_package postgresql-pglogical-output}
%{!?scl:%global pkg_name %{name}}

# These must be the same as in the PostgreSQL RPM:
%{!?%packagename:%define packagename %{?scl_prefix}postgresql}

Name:		%{packagename}-pglogical-output
Version:	1.0.1
Release:	1%{?dist}
Summary:	pglogical_output - a general purpose PostgreSQL logical decoding output plugin

Group:		Applications/Databases
License:	PostgreSQL
URL:		http://2ndquadrant.com/pglogical
Source0:	http://packages.2ndquadrant.com/pglogical/tarballs/pglogical-output-%{version}.tar.bz2

BuildRequires:	%{packagename}-devel%{?_isa}
Requires:      	%{packagename}%{?_isa}
Requires:	%{packagename}-server%{?_isa}
Requires:	%{packagename}-contrib%{?_isa}

# These should match those in the PostgreSQL spec, as they're headers
# PostgreSQL exposes via includes in its own public headers, and/or or that
# pg_config will emit linker options to link to.
#
# These should actually be Requires: dependencies of postgresql94-devel, but
# they aren't; see http://www.postgresql.org/message-id/547C0032.7040309@2ndquadrant.com
#
BuildRequires:  openssl-devel
BuildRequires:  gettext >= 0.10.35
BuildRequires:  libxml2-devel libxslt-devel
BuildRequires:  pam-devel
BuildRequires:  readline-devel
BuildRequires:  zlib-devel >= 1.0.4

%description
%{packagename}-pglogical-output installs the pglogical output plugin,
a general purpose PostgreSQL logical decoding output plugin. The plugin is suitable for
use in logical replication, application streaming of database contents, etc. It's not
generally useful directly to end users.

pglogical_output is developed, maintained, and supported by 2ndQuadrant (http://2ndquadrant.com).

This package is built against PostgreSQL %{packagename} from
http://yum.postgresql.org/

%prep
%setup -q -n pglogical-output-%{version}

%build
export PATH=%{_bindir}:$PATH
make USE_PGXS=1 -s %{?_smp_mflags}

%install
export PATH=%{_bindir}:$PATH
make USE_PGXS=1 -s %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%{_libdir}/pgsql/pglogical_output.so
%{_includedir}/pglogical_output/compat.h
%{_includedir}/pglogical_output/hooks.h
%{_datadir}/pgsql/extension/pglogical_output--1.0.0.sql
%{_datadir}/pgsql/extension/pglogical_output--1.0.0--1.0.1.sql
%{_datadir}/pgsql/extension/pglogical_output--1.0.1.sql
%{_datadir}/pgsql/extension/pglogical_output.control

%changelog
* Mon Mar 21 2016 Satoe Imaishi <simaishi@redhat.com> 1.0.0-1
- Initial Build
